Jump to content
Sign in to follow this  
flcc

Ocean Evaluate doesn't work anymore no matter which version of houdini I try.

Recommended Posts

Posted (edited)

Hi
Something strange happen. Ocean Evaluate doesn't work anymore no matter which version of houdini I try.
I try H16, H17, H175, H18, H185
Even the old file that worked generates an error.

Diving into the node it appears that the probleme come from the ocean.h include in the Volume Wrangle named calc_X_Y_Z.
Here is the type of error it generates :
C:/PROGRA~1/SIDEEF~1/HOUDIN~1.499/houdini/vex/include/ocean.h: Invalid declaration type for variable X: complex (404,37)
C:/PROGRA~1/SIDEEF~1/HOUDIN~1.499/houdini/vex/include/ocean.h: Invalid declaration type for variable Z: complex (404,40).
.....
long list

Does anyone have an idea ?

[edit]

While continuing to search, I tried on another machine that has a version of houdini and it's the same thing.
The only common thing between these two machines is the windows update done in december.
Does this speak to anyone?

 

Edited by flcc
add infos

Share this post


Link to post
Share on other sites
Posted (edited)

That's interesting. I was poking around inside of pdb_constraint.h today to try and find out why OpenCL has all of a sudden quit working on the GPU.
I got a message that about variables not being defined as double precision. I wonder if some type of compile switch has been janked on these recent Houdini builds? (using H18.5.532)

Edited by Atom

Share this post


Link to post
Share on other sites
Posted (edited)

As I said, in my case all Houdini versions are affected.

I've udated my first post and I suspect something with Windows updates.

 

In wich specific node can I find pdb_constraint.h ?

I try a grain sim but I get no error.

Edited by flcc

Share this post


Link to post
Share on other sites

Was there not a opencl bump to ocl3.0 with the nvidia driver recently? might be worth a shot to roll back

Share this post


Link to post
Share on other sites
Posted (edited)

From what I've seen OpenCl 3.0 support begin with driver 465.
Don't know for Atom, but since I run 456 It doesn't seem to be the cause of my problem, but yes while I update windows I also update nvidia drivers.
At same time I can't rollback due to redshift version !

Edited by flcc

Share this post


Link to post
Share on other sites

This is one of those times where you should email support@sidefx.com as this problem seems a bit more complex.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×